unit Stereo_U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus;

type
  TStereoForm = class(TForm)
    MainMenu1: TMainMenu;
    ZoomMenu: TMenuItem;
    viertel: TMenuItem;
    drittel: TMenuItem;
    halb: TMenuItem;
    voll: TMenuItem;
    doppelt: TMenuItem;
    dreifach: TMenuItem;
    vierfach: TMenuItem;
    PicPanel: TPanel;
    Image3: TImage;
    procedure viertelClick(Sender: TObject);
    procedure drittelClick(Sender: TObject);
    procedure halbClick(Sender: TObject);
    procedure vollClick(Sender: TObject);
    procedure doppeltClick(Sender: TObject);
    procedure dreifachClick(Sender: TObject);
    procedure vierfachClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    procedure ResizePic;
  end;

var
  StereoForm: TStereoForm;
  Scale : Single;
  Width3D, Height3D : Integer;

implementation

{$R *.DFM}



procedure TStereoForm.ResizePic;
begin
  PicPanel.Width := Round(Scale * Width3D);
  PicPanel.Height := Round(Scale * Height3D);
  PicPanel.Repaint;
end;

procedure TStereoForm.viertelClick(Sender: TObject);
begin
  Scale := 0.25;
  ResizePic;
end;

procedure TStereoForm.drittelClick(Sender: TObject);
begin
  Scale := 1/3;
  ResizePic;
end;

procedure TStereoForm.halbClick(Sender: TObject);
begin
  Scale := 0.5;
  ResizePic;
end;

procedure TStereoForm.vollClick(Sender: TObject);
begin
  Scale := 1.00;
  ResizePic;
end;

procedure TStereoForm.doppeltClick(Sender: TObject);
begin
  Scale := 2.00;
  ResizePic;
end;

procedure TStereoForm.dreifachClick(Sender: TObject);
begin
  Scale := 3.00;
  ResizePic;
end;

procedure TStereoForm.vierfachClick(Sender: TObject);
begin
  Scale := 4.00;
  ResizePic;
end;


initialization
  Scale := 1.0;
end.
